Bug 843860 - "fb: conflicting fb hw usage cirrusdrmfb vs EFI VGA - removing generic driver" results in no further console output
"fb: conflicting fb hw usage cirrusdrmfb vs EFI VGA - removing generic driver...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 11:07 EDT by Richard W.M. Jones
Modified: 2012-08-23 20:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-23 20:12:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of boot (34.84 KB, image/png)
2012-07-27 11:07 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2012-07-27 11:07:32 EDT
Created attachment 600808 [details]
screenshot of boot

Description of problem:

My guest doesn't boot.  Unfortunately I can't see why
it cannot boot because the display driver appears to be
killed somewhere early on during the boot (see attached
screenshot).

BTW I don't know if component=kernel is the correct one.
It was just a guess.

Version-Release number of selected component (if applicable):

Fedora 18 Rawhide updated to latest everything today.
32 bit.

How reproducible:

100%

Steps to Reproduce:
1. Remove rhgb and boot.
2.
3.
  
Actual results:

Fails to boot, cannot see boot messages after a particular
point in the boot.

Expected results:

Should be able to see the console.

Additional info:
Comment 1 Richard W.M. Jones 2012-07-27 11:08:09 EDT
I also tried noefi but that made no difference.
Comment 2 Dave Airlie 2012-07-30 15:41:15 EDT
can you try nomodeset and runlevel 3, then when it comes up, modprobe cirrus
and see if it says anything, or maybe ssh in and modprobe it.
Comment 3 Richard W.M. Jones 2012-07-30 15:50:04 EDT
I removed 'rhgb quiet' and replaced it with 'nomodeset 3'.

This gives me messages up to the point where the real failure
occurs (systemd seems broken).  When I log into the "emergency
mode" shell, the cirrus module seems totally unavailable or
broken:

# modprobe cirrus
ERROR: could not insert 'cirrus': Invalid argument

(No other kernel messages)

Not sure if this is really telling us anything ...

I should note this is a KVM guest running on an F17 host
with qemu-kvm 1.1.
Comment 4 Adam Jackson 2012-08-17 13:17:56 EDT
-EINVAL sounds like it doesn't believe there's matching cirrus hardware to bind to.  The modalias on the cirrus driver is:

alias:          pci:v00001013d000000B8sv00001AF4sd00001100bc*sc*i*

How does that compare with the output of 'lspci -nn' for the device?
Comment 5 Richard W.M. Jones 2012-08-17 16:43:28 EDT
I'm now on 3.6.0-0.rc1.git6.1.fc18.i686 which also hangs with
no display during boot.

Using nomodeset 3 during boot displays that it's cycling
in systemd going round and round.

So: seems that the cirrus bug here might still be present.

Going back to an older, working kernel, the lspci -nn output is:

00:00.0 Host bridge [0600]: Intel Corporation 440FX - 82441FX PMC [Natoma] [8086:1237] (rev 02)
00:01.0 ISA bridge [0601]: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II] [8086:7000]
00:01.1 IDE interface [0101]: Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton II] [8086:7010]
00:01.2 USB Controller [0c03]: Intel Corporation 82371SB PIIX3 USB [Natoma/Triton II] [8086:7020] (rev 01)
00:01.3 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI [8086:7113] (rev 03)
00:02.0 VGA compatible controller [0300]: Cirrus Logic GD 5446 [1013:00b8]
00:03.0 Ethernet controller [0200]: Red Hat, Inc Virtio network device [1af4:1000]
00:04.0 SCSI storage controller [0100]: Red Hat, Inc Virtio block device [1af4:1001]
00:05.0 Unclassified device [00ff]: Red Hat, Inc Virtio memory balloon [1af4:1002]
Comment 6 Josh Boyer 2012-08-21 11:03:20 EDT
This should be fixed by the patch Dave came up with last night.  I added it to the f18/rawhide kernel this morning.
Comment 7 Fedora Update System 2012-08-22 12:06:40 EDT
kernel-3.6.0-0.rc2.git2.1.fc18, grub2-2.00-5.fc18, pesign-0.10-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.6.0-0.rc2.git2.1.fc18,grub2-2.00-5.fc18,pesign-0.10-4.fc18
Comment 8 Fedora Update System 2012-08-23 20:12:03 EDT
kernel-3.6.0-0.rc2.git2.1.fc18, grub2-2.00-5.fc18, pesign-0.10-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.